<interfaces xmlns="http://openconfig.net/yang/interfaces" 
            xmlns:oc-ip="http://openconfig.net/yang/interfaces/ip" >
  <interface>
    <name>{{name}}</name>
    <config>
      <name>{{name}}</name>
      <type xmlns:ianaift="urn:ietf:params:xml:ns:yang:iana-if-type">ianaift:l3ipvlan</type>
      <mtu>{{mtu}}</mtu>
      <enabled>true</enabled>
    </config>
    <subinterfaces>
      <subinterface>
        <index>{{index}}</index>
        <config>
          <index>{{index}}</index>
          <description>{{description}}</description>
        </config>
        <vlan xmlns="http://openconfig.net/yang/vlan">
          <match>
            <single-tagged>
              <config>
                <vlan-id>{{vlan_id}}</vlan-id>
              </config>
            </single-tagged>
          </match>
        </vlan>
        <oc-ip:ipv4>
          <oc-ip:addresses>
            <oc-ip:address>
              <oc-ip:ip>{{address_ip}}</oc-ip:ip>
              <oc-ip:config>
                <oc-ip:ip>{{address_ip}}</oc-ip:ip>
                <oc-ip:prefix-length>{{address_prefix}}</oc-ip:prefix-length>
              </oc-ip:config>
            </oc-ip:address>
          </oc-ip:addresses>
        </oc-ip:ipv4>
        
      </subinterface>
    </subinterfaces>
  </interface>
</interfaces>



